.. role:: hidden
    :class: hidden-section

Benchmark Utils - torch.utils.benchmark
==================================================

.. automodule:: torch.utils.benchmark
.. currentmodule:: torch.utils.benchmark

.. autoclass:: Timer
    :members:

.. autoclass:: Measurement
    :members:

.. autoclass:: CallgrindStats
    :members:

.. autoclass:: FunctionCounts
    :members:

.. autoclass:: Compare
    :members:

.. These are missing documentation. Adding them here until a better place
.. is made in this file.
.. py:module:: torch.utils.benchmark.examples
.. py:module:: torch.utils.benchmark.op_fuzzers
.. py:module:: torch.utils.benchmark.utils
.. py:module:: torch.utils.benchmark.utils.valgrind_wrapper
